Crypto-4.2.3: Collects together existing Haskell cryptographic functions into a package

Portability | portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk

Codec.Encryption.RSA.MGF

Contents

- Function Types

Description

Implements the mask generation function as specified in: ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-1/pkcs-1v2-1.pdf

Synopsis

- mgf :: ([Octet] -> [Octet]) -> [Octet] -> Int -> [Octet]

# Function Types

mgf :: ([Octet] -> [Octet]) -> [Octet] -> Int -> [Octet]

Take a hash function, a seed and the intended length of the the mask and deliver a mask of the requested length.